"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var identity_1 = require("../../helpers/identity/identity");
var globalObservableConfig = {};
exports.setObservableConfig = function (config) {
    globalObservableConfig = config;
};
exports.getConfig = function (_a) {
    var _b = _a.useGlobalObservableConfig, useGlobalObservableConfig = _b === void 0 ? true : _b, observableConfig = _a.observableConfig;
    var config = observableConfig
        ? observableConfig
        : useGlobalObservableConfig
            ? globalObservableConfig
            : {};
    return {
        fromESObservable: config.fromESObservable || identity_1.identity,
        toESObservable: config.toESObservable || identity_1.identity
    };
};
//# sourceMappingURL=setObservableConfig.js.map