"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var createEvent_1 = require("../core/createEvent/createEvent");
var constants_1 = require("../helpers/constants");
/**
 * Indicates about completing initialization
 * @private
 */
exports.initEvent = createEvent_1.createEvent(constants_1.APP_KEY + ": Initialization complete");
/**
 * Indicates ready event
 * @private
 */
exports.readyEvent = createEvent_1.createEvent(constants_1.APP_KEY + ": Ready");
/**
 * @deprecated
 */
exports.initDone = exports.initEvent;
/**
 * Indicates about completing initialization
 * @private
 */
exports.disconnectEvent = createEvent_1.createEvent(constants_1.APP_KEY + ": Disconnect");
//# sourceMappingURL=lifecycle.js.map