"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @private
 */
exports.controlledPromise = function () {
    // Promise callback is called synchronously, so it's ok
    var resolve;
    var promise = new Promise(function (_resolve) {
        resolve = function (value) { return _resolve(value); };
    });
    return [promise, resolve];
};
//# sourceMappingURL=controlledPromise.js.map