"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var uniqueId_1 = require("./uniqueId");
var uniqueSet = new Set();
exports.uniqify = function (id) {
    if (!id) {
        return "[" + uniqueId_1.uniqueId() + "]";
    }
    if (uniqueSet.has(id)) {
        return id + " [" + uniqueId_1.uniqueId() + "]";
    }
    uniqueSet.add(id);
    return id;
};
//# sourceMappingURL=uniqify.js.map