"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
var select_1 = require("../../helpers/select/select");
exports.createEpic = function (events, fn) {
    var selector = select_1.select(events);
    return function (events$, state$, staticApi) {
        var filtered$ = staticApi.fromESObservable(rxjs_1.from(staticApi.toESObservable(events$)).pipe(operators_1.filter(selector)));
        return fn(filtered$, state$, staticApi);
    };
};
//# sourceMappingURL=createEpic.js.map