import { EventHandlers, Reducer } from './createReducer.h';
/**
 * Creates reducer with some additional methods
 * @typeparam S Reducer's state interface
 * @param initialState Initial state for the reducer
 * @param handlers Object with event types as keys and EventHandlers as values
 * @returns {Reducer}
 */
export declare const createReducer: <S = {}>(initialState: S, handlers?: EventHandlers<S, any>) => Reducer<S>;
