"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_1 = require("redux");
exports.combineReducers = function (reducers) {
    var keys = Object.keys(reducers);
    var result = {};
    for (var i = 0; i < keys.length; i++) {
        var key = keys[i];
        var element = reducers[key];
        if (typeof element === 'function') {
            result[key] = element;
        }
        if (typeof element === 'object' && element !== null) {
            result[key] = exports.combineReducers(element);
        }
    }
    return redux_1.combineReducers(result);
};
//# sourceMappingURL=combineReducers.js.map