import { Module } from '../../../core/createApp/createApp.h';
import { Event } from '../../../core/createEvent/createEvent.h';
/**
 * @private
 */
export declare const loggerModule: ({ pattern }: {
    pattern?: RegExp | null | undefined;
}) => Module<{}, {
    eventLog: Event<any, any>[];
}, {
    eventLog: Event<any, any>[];
}>;
export declare const logger: ({ ignoreRedux, ignoreInternal, ignorePattern }: {
    ignoreInternal?: boolean | undefined;
    ignoreRedux?: boolean | undefined;
    ignorePattern?: RegExp | undefined;
}) => Module<{}, {
    logger: {
        events: Event<any, any>[];
        allEvents: Event<any, any>[];
        last: Event<any, any>;
    };
}, {
    logger: {
        events: Event<any, any>[];
        allEvents: Event<any, any>[];
        last: Event<any, any>;
    };
}>;
